Getting jboss version not supported

Document ID : KB000102934
Last Modified Date : 29/08/2018
Show Technical Document Details
Issue:
We are getting jBOSS version not supported error during 14.1 installation https://docops.ca.com/cim141/platform-support-matrix/server-environments As per the support matrix it should support 6.4 EAP and we have the folloing jboss installed. Red Hat JBoss Enterprise Application Platform - Version 6.4.19.GA This is the first time in 6.4.19 GA EAP. Earlier we did in 6.4.10 EAP with no issues.
Resolution:
this command was failing while checking jboss version 

%JBOSS_HOME%\standalone.bat --version 

Once resolved install can continue. 

To resolve: 

In install log, you can see the following, but this jar file name is renamed by TD infr who created us the VM with jboss. Original name from jboss is "jboss-as-server-7.5.0.Final-redhat-21.jar" 
===== 
version = jboss-as-server.jar 
==== 

So there is a reference to this jar in the module.xml as belw. 
======= 
(DEV) rdaram2@abafidmapvz01l0:/usr/share/jbossas $ grep -rl "jboss-as-server.jar" . 
/usr/share/jbossas/modules/system/layers/base/org/jboss/as/server/main/module.xml 
(DEV) rdaram2@abafidmapvz01l0:/usr/share/jbossas $ 
==== 

In that file Here is the content: 

<resources> 
<resource-root path="jboss-as-server.jar"/> 
<!-- Insert resources here --> 
</resources> 

So, I copied " jboss-as-server.jar" to " jboss-as-server.jar" 
And modified the module.xml to point to "jboss-as-server-7.5.0.Final-redhat-21.jar"